Get revision history for one goal
curl --request GET \
--url https://api.alpha-1edtech.ai/goals/{studentId}/history/{goalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/goals/{studentId}/history/{goalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/goals/{studentId}/history/{goalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"studentId": "<string>",
"revisions": [
{
"id": "<string>",
"studentId": "<string>",
"subject": "<string>",
"type": "minimum",
"status": {
"record": "active",
"goal": "active"
},
"target": {
"value": "<string>",
"metric": "xp",
"paceType": "target_date",
"startDate": "<string>",
"endDate": "<string>",
"stageId": "<string>",
"courseIds": [
"<string>"
]
},
"metadata": {},
"revisionId": "<string>",
"goalId": "<string>",
"versionIndex": 123,
"revisionCreatedAt": "<string>",
"sequenceId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": {
"email": "<string>",
"clientAppId": "<string>",
"requestId": "<string>"
},
"changeReason": "<string>"
}
],
"totalCount": 1,
"goalId": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Goals
Get revision history for one goal
Returns paginated immutable learning_goal_revisions snapshots for one goal. Defaults to version order ascending so consumers can replay the goal chain from v1 forward.
GET
/
goals
/
{studentId}
/
history
/
{goalId}
Get revision history for one goal
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter by subject
Filter by OneRoster lifecycle status captured in the revision
Available options:
active, tobedeleted Filter by goal status captured in the revision
Available options:
active, completed, cancelled Filter by goal type captured in the revision
Available options:
minimum, percentile, grade_mastery, x_factor, course, ap_readiness Sort order. Defaults to desc for student history, asc for one goal.
Available options:
asc, desc Max revisions (1-100, default 50)
Required range:
1 <= x <= 100Results offset (default 0)
Required range:
x >= 0⌘I